package danielcortes.xyz.models.calculo_fondo;

import danielcortes.xyz.models.caja.Caja;
import java.util.Objects;

public class CalculoFondo {
  private int id;
  private int valor;
  private String descripcion;
  private Caja caja;

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public int getValor() {
    return valor;
  }

  public void setValor(int valor) {
    this.valor = valor;
  }

  public String getDescripcion() {
    return descripcion;
  }

  public void setDescripcion(String descripcion) {
    this.descripcion = descripcion;
  }

  public Caja getCaja() {
    return caja;
  }

  public void setCaja(Caja caja) {
    this.caja = caja;
  }

  @Override
  public String toString() {
    return "CalculoFondo{" +
        "id=" + id +
        ", valor=" + valor +
        ", descripcion='" + descripcion + '\'' +
        ", caja=" + caja +
        '}';
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof CalculoFondo)) {
      return false;
    }
    CalculoFondo that = (CalculoFondo) o;
    return id == that.id &&
        valor == that.valor &&
        Objects.equals(descripcion, that.descripcion) &&
        Objects.equals(caja, that.caja);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, valor, descripcion, caja);
  }
}
